<div class="container">
    <div class="row d-flex justify-content-center my-3">
        <div class="col-md-6">

            <div class="alert alert-info" role="alert">
                <i class="fas fa-user"></i>
                Ingresa credenciales de autenticación
            </div>

            <div *ngIf="invalidUser" class="alert alert-warning alert-dismissible fade show">
                <i class="fas fa-exclamation-circle"></i>
                Datos incorrectos
                <button type="button" class="close" data-dismiss="alert" aria-label="Close" (click)="dismmisAlert()">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="card">
                <div class="card-header">
                    Iniciar Sesión.
                </div>
                <div class="card-body">
                    <form [formGroup]="loginForm">
                        <!--User-->
                        <div class="form-group">
                            <label for="username">Usuario: </label>
                            <input type="text" class="form-control" id="username" formControlName="username"
                            [class.is-invalid]="username.invalid && (username.dirty || username.touched)">
                            <div class="form-text text-danger my-2" *ngIf="username.invalid && (username.dirty || username.touched)">
                                <small>Ingresa usuario.</small>
                            </div>
                        </div>

                        <!--Password-->
                        <div class="form-group">
                            <label for="userpassword">Contraseña: </label>
                            <input type="password" 
                            class="form-control" 
                            id="userpassword"
                            formControlName="userpassword"
                            [class.is-invalid]="userpassword.invalid && (userpassword.dirty || userpassword.touched)">
                            <div class="form-text text-danger my-2" *ngIf="userpassword.invalid && (userpassword.dirty || userpassword.touched)">
                                <small>Ingresa contraseña.</small>
                            </div>
                        </div>

                        <div class="text-center">
                            <button type="button" class="btn btn-primary mb-3" (click)="iniciarSesion()">Iniciar Sesión</button>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>
</div>

<app-footer></app-footer>